%define dist gettext
Name: perl-Locale-gettext
Version: 1.05
Release: alt1

Summary: Gettext routines for Perl
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

# various fixes
Patch0: %name-1.05-alt-cleanup.patch

Provides: perl-%dist = %version
Obsoletes: perl-%dist <= %version

# Added by buildreq2 on Thu Jun 02 2005
BuildRequires: perl-Encode perl-devel

%description
Locale::gettext module permits access from perl to the gettext() family
of functions for retrieving message strings from databases constructed
to internationalize software.

%prep
%setup -q -n %dist-%version
%patch0 -p1

%build
# non-POSIX locale required for tests
export LC_ALL=en_US
%perl_vendor_build LIBS=

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_autolib/Locale*
%perl_vendor_archlib/Locale*

%changelog
* Thu Jun 02 2005 Alexey Tourbin <at@altlinux.ru> 1.05-alt1
- 1.04 -> 1.05
- removed emulation code
- clarified dependency on Encode

* Wed Feb 02 2005 Alexey Tourbin <at@altlinux.ru> 1.04-alt1
- 1.03 -> 1.04
- manual pages not packaged (use perldoc)

* Mon Aug 09 2004 Alexey Tourbin <at@altlinux.ru> 1.03-alt1
- 1.01 -> 1.03
- renamed: perl-%dist -> %name

* Thu Sep 11 2003 Alexey Tourbin <at@altlinux.ru> 1.01-alt3
- buildreq applied

* Fri Nov 01 2002 Sergey V Turchin <zerg@altlinux.org> 1.01-alt2
- rebuild with new perl

* Tue Aug 21 2001 Stanislav Ievlev <inger@altlinux.ru> 1.01-alt1
- 1.01

* Thu Jun 14 2001 Pixel <pixel@mandrakesoft.com> 1.0-9mdk
- rebuild for new rpm

* Fri Jun 01 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0-8mdk
- BuildRequires: gettext-devel perl-devel

* Thu Mar 22 2001 Pixel <pixel@mandrakesoft.com> 1.0-7mdk
- require perl-base instead of perl

* Thu Feb 22 2001 Pixel <pixel@mandrakesoft.com> 1.0-6mdk
- a lot of cleanup

* Wed Feb 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-5mdk
- adapted to mdk
- cleaned and fixed the spec file

* Wed Aug 11 1999 Motonobu Ichimura <g95j0116@mn.waseda.ac.jp>
- use BuildRoot and some changes added
- fixed .packlist
